package com.acme.customization;

import java.util.Calendar;

import com.lbs.data.query.IServerQueryFactory;
import com.lbs.data.query.QueryBusinessObject;
import com.lbs.data.query.QueryBusinessObjects;
import com.lbs.data.query.QueryParams;
import com.lbs.platform.interfaces.IServerContext;
import com.lbs.util.QueryUtil;
import com.lbs.ws.WebServiceHelper;

public class CustomWebService 
{

	public String[] getFirstNItems(int firm, int period, String language, int rowCount)
	{
		try 
		{
			IServerContext context = WebServiceHelper.getContext(firm, period, language);
			IServerQueryFactory factory = context.getServerQueryFactory();
			QueryParams params = new QueryParams();
			QueryBusinessObjects items = new QueryBusinessObjects();
			factory.first("MMQOItemBrowser", params, items, rowCount, true);
			String[] results = new String[rowCount];
			if(items != null && items.size() > 0)
			{
				for(int i = 0; i < items.size(); i++)
				{
					QueryBusinessObject item = (QueryBusinessObject) items.get(i);
					String code = QueryUtil.getStringProp(item, "Code");
					String name = QueryUtil.getStringProp(item, "Name");
					String searchText = QueryUtil.getStringProp(item, "SearchText");
					results[i] = "Code: " + code + " Name: " + name + " Search Text: " + searchText;
				}
			}
			ProjectUtil.dateStr(Calendar.getInstance());
			
			return results;
		} 
		catch (Exception e) 
		{
			e.printStackTrace();
		}
		return null;
	}
}
